<?php
	include ('include/config.php');
	include ('include/functions.php');
	include ('include/admin_check.php');

	$oldal = $_GET["old"] ;
	if ($oldal < 1) {
		$oldal = 1 ;
	}
	
	$rend = $_GET["rend"] ;
	if ($rend != "datum" && $rend != "email") {
		$rend = "vezeteknev" ;
	}
		
	$kezdo = $oldal * $talalat_oldalankent - $talalat_oldalankent ;		//Beállítjuk az sql limit alsó küszöbét

//	$szuro = $_GET["f"] ;
	$szuro = "mind" ;	
	if (is_numeric($szuro))
	{
		$query = "select nev from hirlevel_csoportok where id = '$szuro'" ;
		$result = lekerdez($query) ;
		if (mysqli_num_rows($result) > 0) {
			$akt_csoport_nev = mysqli_result($result, 0, "nev") ;
			mysqli_free_result($result) ;
		}
		$szurt_count_query = "select count(*) as szam from hirlevel_regisztraltak where csoport_id = '$szuro'" ;
		$szurt_query = "select id, email from hirlevel_regisztraltak where csoport_id = '$szuro' order by $rend limit $kezdo, $talalat_oldalankent" ;
		$tablazat_cim = "$akt_csoport_nev csoportba soroltak listája" ;
	}
	else if ($szuro == "mind")
	{
		$szurt_count_query = "select count(*) as szam from users" ;
		$szurt_query = "select id, concat(vezeteknev, ' ', keresztnev) as nev, cegnev, email, hirlevel from users order by $rend limit $kezdo, $talalat_oldalankent" ;
	}
	else
	{
		$szurt_count_query = "select count(*) as szam from hirlevel_regisztraltak where csoport_id IS NULL" ;
		$szurt_query = "select id, nev, email from hirlevel_regisztraltak where csoport_id IS NULL order by $rend limit $kezdo, $talalat_oldalankent" ;
		$tablazat_cim = "A még csoportba nem soroltak listája" ;	
	}
	
	$query = $szurt_count_query ;
	$result = lekerdez($query) ;
	$talalatszam = mysqli_result($result, 0, "szam") ;
	mysqli_free_result($result) ;

	$query = $szurt_query ;
	$result = lekerdez($query) ;
	$nevek = array() ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor = mysqli_fetch_array($result)) {
			$nevek[] = $sor ;
		}
		mysqli_free_result($result) ;
	}
	
	$oldalszam = ceil($talalatszam / $talalat_oldalankent) ;
 	
 	$elozo = "" ;
	if ($oldal > 1) 
	  $elozo = $oldal-1 ;

	$kov = "" ;
	if ($oldal < $oldalszam) 
	  $kov = $oldal+1 ;

	$query = "select * from hirlevel_csoportok order by nev" ;
	$result = lekerdez($query) ;
	$csoportok = array() ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor = mysqli_fetch_assoc($result)) {
			$csoportok[] = $sor ;
		}	
	}
?>
<!DOCTYPE html>

<html lang="hu">

  <head>

    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="description" content="">

    <meta name="author" content="">



    <title><?php echo $admin_title;?> Admin: Regisztráltak listája</title>



    <!-- Bootstrap core CSS -->

    <link href="css/bootstrap.css" rel="stylesheet">



    <!-- Add custom CSS here -->

    <link href="css/sb-admin.css" rel="stylesheet">

    <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

    <!-- Page Specific CSS -->

    <link rel="stylesheet" href="http://cdn.oesmith.co.uk/morris-0.4.3.min.css">



  </head>



  <body>



    <div id="wrapper">

	

	<?php include "inc_sidebar_top.php"?>      



      <div id="page-wrapper">



        <div class="row">

          <div class="col-lg-12">

            <h1>Regisztráltak listája</h1>

<?php
	if (count($_SESSION["hiba"]) > 0) {
		echo '<div class="col-lg-12">' ;
		foreach ($_SESSION["hiba"] as $hibasor) {
			$class = "alert-danger" ;
			if ($hibasor["tipus"] == "success") {
				$class = "alert-success" ;
			}
			echo '<div class="alert alert-dismissable ' . $class . '">'.$hibasor["szoveg"].'</div>' ;
		}		
		echo '</div>' ;
		unset($_SESSION["hiba"]) ;
	}
?>	
          </div>

        </div><!-- /.row -->





        <div class="row">   
                 

          <div class="col-lg-12">

            <div class="table-responsive">

              <table class="table table-bordered table-hover table-striped tablesorter">

                <thead>

                  <tr>

                    <th>Sorszám</th>

                    <th>Név</th>

                    <th>Cégnév</th>
                    
                    <th>E-mail cím</th>

                    <th>Hírlevelet kér</th>
                    
                    <th></th>

                  </tr>

                </thead>

                <tbody>
<?php
	for ($i=0;$i<count($nevek);$i++) {
		$sorszam = $oldal*$talalat_oldalankent-$talalat_oldalankent+$i+1 ;		
?>
                  <tr>

					<td><?php echo $sorszam;?>.</td>
                    
                    <td><?php echo $nevek[$i]["nev"];?></td>
                    
                    <td><?php echo $nevek[$i]["cegnev"];?></td>

                    <td><?php echo $nevek[$i]["email"];?></td>

                    <td><?php if ($nevek[$i]["hirlevel"] == 1) echo "X";?></td>
                    
                    <td><button type="button" class="btn btn-default" onclick="javascript:user_edit('<?php echo $nevek[$i]["id"];?>')">Módosít</button></td>

                  </tr>
<?php
}
?>

                </tbody>

              </table>     
              
              <div class="text-center">
              <ul class="pagination">
<?php 
	$elozo_class = ' class="disabled"' ;
	if ($elozo != "") {
		$elozo_class="" ;	
	}
?>
     <li<?php echo $elozo_class;?>><a href="newsletter-users-list.php?old=<?php echo $elozo;?>&f=<?php echo $szuro;?>">&laquo;</a></li>
	<?php 
		for ($i=1;$i<=$oldalszam;$i++) {
			$oldal_class = "" ;
			if ($i == $oldal) {
				$oldal_class = ' class="active"' ;
			}
			echo '<li' . $oldal_class . '><a href="newsletter-users-list.php?old='.$i.'&f='.$szuro.'">'.$i.'</a></li>';
		}
	?>

<?php 
	$kov_class = ' class="disabled"' ;
	if ($kov != "") {
		$kov_class="" ;	
	}
?>
    <li<?php echo $kov_class;?>><a href="newsletter-users-list.php?old=<?php echo $elozo;?>&f=<?php echo $szuro;?>">&raquo;</a></li> 
              </ul>
              </div>               

            </div>

            

          </div>

        </div><!-- /.row -->





      </div><!-- /#page-wrapper -->



    </div><!-- /#wrapper -->



    <!-- JavaScript -->

    <script src="js/jquery-1.10.2.js"></script>
    <script src="js/bootstrap.js"></script>
    
	<script>
		$(document).ready(function() {
			$("#nav-newsletters").addClass("open") ;
		}) ;
      
		function csoport_valtas() {
			var Index = document.getElementById('csoportok').selectedIndex;
			var csoport_id = document.getElementById('csoportok')[Index].value;
			location.href = 'newsletter-users-list.php?f='+csoport_id ;
		}
		
		function user_edit(id) {
			document.location.href = "newsletter-user-edit.php?id=" + id ;	
		}		
    </script>


    <!-- Page Specific Plugins -->

    <script src="http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>

    <script src="http://cdn.oesmith.co.uk/morris-0.4.3.min.js"></script>

    <!--<script src="js/morris/chart-data-morris.js"></script>-->

    <script src="js/tablesorter/jquery.tablesorter.js"></script>

    <script src="js/tablesorter/tables.js"></script>



  </body>

</html>

